## gnome-session 49.1

=== debian/changelog ===
gnome-session (49.1-3ubuntu1) resolute; urgency=medium

  * Merge with debian. Remaining changes:
    - debian/control:
      + Add Build-Depends: dh-sequence-migrations
      + Have gnome-session depend on libjxl-gdk-pixbuf
      + Make gnome-session Arch: any
    - Split ubuntu-session out of gnome-session.
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/debian/Revert-main-Remove-GNOME_DESKTOP_SESSION_ID-envvar.patch:
      + revert removal of GNOME_DESKTOP_SESSION_ID not to break apps using it
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.
    - debian/install: Add ubuntu-mimeapps.list overrides for the Ubuntu session
      + Keep using debian/mimeapps/debian.conf to generate gnome-mimeapps.list
  * Drop gettext domain override:
    - dh_translations can pick it up correctly from meson.build
    - Use new unversioned gettext domain (LP: #2107595)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Tue, 04 Nov 2025 15:59:31 +0100

gnome-session (49.1-3) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 31 Oct 2025 09:23:53 -0400

gnome-session (49.1-2) experimental; urgency=medium

  * Team upload

  [ Jeremy Bícha ]
  * Cherry-pick patch from Alessandro to stop translation domain changing
    every release. (Helps: LP 2107595)

  [ Simon McVittie ]
  * Release to unstable (transition: #1116394)

 -- Simon McVittie <smcv@debian.org>  Fri, 31 Oct 2025 11:49:38 +0000

gnome-session (49.1-1) experimental; urgency=medium

  * Team upload

  [ Simon McVittie ]
  * New upstream stable release

  [ Guido Günther ]
  * d/control: Add Breaks on older phosh
  * d/control: Add Breaks on older phrog
  * d/control: Drop an outdated Breaks on phosh

 -- Simon McVittie <smcv@debian.org>  Wed, 15 Oct 2025 12:15:20 +0100

gnome-session (49.0-2) experimental; urgency=medium

  * Team upload
  * Merge packaging changes from unstable
    - d/copyright: Don't quote the FSF's former postal address here
    - d/control: Remove Rules-Requires-Root, unnecessary since trixie
    - d/control: Standards-Version: 4.7.2 (no changes required)
  * d/gnome-mimeapps/: Add gnome-mimeapps script by Jan Alexander Steffens,
    as a local mechanism to regenerate MIME type associations.
    (See debian/README.source for details of how to update this.)
  * d/mimeapps/*.desktop: List MIME types supported by preinstalled and
    extra GNOME apps.
    This will allow us to generate our own customized gnome-mimeapps.list
    using d/gnome-mimeapps/, without actually needing all of these apps
    to be installed.
    (See debian/README.source for details of how to update these with the
    latest available information.)
  * d/mimeapps/: Add machinery to generate a customized gnome-mimeapps.list.
    This combines cached MIME type information from
    debian/mimeapps/*.desktop with Debian configuration from
    debian/mimeapps/debian.conf to generate a gnome-mimeapps.list that
    fits Debian preferences better than upstream's.
    (Closes: #1115732)
  * d/mimeapps/debian.conf: Set up Debian preferences (see also the
    meta-gnome3 source package):
    - Prefer Firefox ESR, Firefox or Chromium for web browsing, if
      installed, as a higher priority than GNOME Web (Epiphany).
    - Prefer Loupe for image viewing, if installed.
      If not available, try eog or Shotwell, which were our previous
      defaults, before falling back to anything else.
    - Prioritize image viewers higher than web browsers.
      If Loupe isn't installed for whatever reason, we'd prefer JPEGs
      to open in eog or Shotwell rather than Firefox.
    - Prioritize GNOME Software's .deb installer higher than unpacking
      the .deb with file-roller, which is rarely what is wanted.
    - Add apps that are part of the GNOME metapackage:
      LibreOffice, Evolution, file-roller, Seahorse.
    - Add apps that are Suggests of the GNOME metapackage:
      Goobox, Sound Juicer, Rhythmbox.
    - Add apps that were formerly GNOME defaults as alternatives to the
      current defaults, if installed: Evince, Totem, gedit, AbiWord.
    - Add Thunderbird as a lower priority for email than Evolution,
      if installed.
    - Add gnome-disk-image-writer.desktop (from gnome-disk-utility) as
      a handler for optical media images, etc.
    - Avoid suggesting GNOME Disk Usage Analyzer (Baobab) for directories:
      if Nautilus is not installed, but some other file manager is,
      then we want directories to open in the other file manager.
    - Avoid suggesting GNOME Builder for HTML source:
      if none of our preferred web browsers are installed, but some other
      web browser is, then we want HTML to open in the other web browser.
    - Avoid suggesting LibreOffice Writer or AbiWord for plain text files:
      they can open plain text files, but they're word processors, not


=== debian/control ===
Source: gnome-session
Section: gnome
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-migrations,
               dh-sequence-gnome,
               libdbus-1-dev,
               libgl-dev,
               libgles-dev,
               libglib2.0-dev (>= 2.82.0),
               libgnome-desktop-4-dev,
               libgtk-4-dev,
               libice-dev,
               libjson-glib-dev,
               libsm-dev,
               libsystemd-dev,
               meson,
               systemd-dev,
               xmlto,
               xsltproc,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/gnome-team/gnome-session
Vcs-Git: https://salsa.debian.org/gnome-team/gnome-session.git
Homepage: https://gitlab.gnome.org/GNOME/gnome-session

Package: gnome-session
Architecture: all
Depends: adwaita-icon-theme,
         fonts-cantarell,
         gnome-session-bin (<< ${gnome:NextVersion}),
         gnome-session-bin (>= ${binary:Version}),
         gnome-session-common (= ${binary:Version}),
         gnome-settings-daemon,
         gnome-shell,
         libjxl-gdk-pixbuf,
         xdg-desktop-portal-gnome,
         xwayland,
         ${misc:Depends}
Suggests: desktop-base,
          gnome-keyring
Breaks: ubuntu-session-xsession (<< 49~)
Replaces: ubuntu-session-xsession (<< 49~)
Description: GNOME Session Manager - default GNOME session
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the required components for the standard GNOME
 session, based on the GNOME Shell. It can be started from a display
 manager such as GDM, and requires 3D acceleration to work properly.

Package: ubuntu-session
Architecture: all
Depends: gnome-session-bin (<< ${gnome:NextVersion}),
         gnome-session-bin (>= ${binary:Version}),
         gnome-session-common (= ${binary:Version}),
         gnome-settings-daemon (>= 3.37.0),
         gnome-shell (>= 3.37.91),
         xdg-desktop-portal-gnome,
         xwayland,
         yaru-theme-gnome-shell (>= 20.04.3~),
         ${misc:Depends}
Recommends: python3,
            session-migration,
Breaks: ubuntu-session-xsession (<< 49~)
Replaces: ubuntu-session-xsession (<< 49~)
Description: Ubuntu session with GNOME Shell
 This package contains the required components for a GNOME session
 with default Ubuntu configuration, based on the GNOME Shell.

Package: gnome-session-bin
Architecture: linux-any
Depends: default-dbus-session-bus | dbus-session-bus,
         gsettings-desktop-schemas,
         upower,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: default-logind | logind
Breaks: budgie-desktop (<< 10.8.2-3~),
        gdm3 (<< 49),
        gnome-initial-setup (<< 49),
        gnome-startup-applications (<< 49),
        phosh (<< 0.50~rc),
        phrog (<< 0.46.0-3~)
Replaces: gnome-startup-applications (<< 49)
Description: GNOME Session Manager - Minimal runtime
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the binaries for the GNOME Session Manager, but
 no startup scripts. It is meant for those willing to start
 gnome-session by hand with the components of their choice, and for
 applications such as GDM that use gnome-session internally.

Package: gnome-session-common
Architecture: all
Depends: ${misc:Depends}
Description: GNOME Session Manager - common files
 The GNOME Session Manager is in charge of starting the core components
 of the GNOME desktop, and applications that should be launched at
 login time. It also features a way to save and restore currently
 running applications.
 .
 This package contains the translations, data files and startup scripts
 which are common to the GNOME and GNOME fallback sessions.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs

GS_MAJOR_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed 's/[~.].*//')

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dman=true

execute_after_dh_auto_install:
	set -e; \
	vendor=$$(echo $(DEB_VENDOR) | tr A-Z a-z); \
	if ! [ -f debian/mimeapps/$$vendor.conf ]; then \
		vendor=debian; \
	fi; \
	$(MAKE) -C debian/mimeapps $$vendor.list; \
	cp -a debian/mimeapps/$$vendor.list debian/gnome-mimeapps.list
	install -m644 debian/gnome-mimeapps.list debian/tmp/usr/share/applications/gnome-mimeapps.list

override_dh_gnome_clean:
	dh_gnome_clean --no-control

## gnome-session 49.2

=== debian/changelog ===
gnome-session (49.2-3ubuntu1) resolute; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/control:
      + Add Build-Depends: dh-sequence-migrations
      + Make gnome-session Arch: any
    - Split ubuntu-session out of gnome-session.
    - debian/gnome-session-bin.postinst, debian/gnome-session-bin.prerm:
       Moved registering gnome-session binary as a session manager to
       gnome-session-bin package
    - debian/patches/ubuntu/ubuntu_sessions.patch:
      + Add ubuntu sessions
    - debian/patches/ubuntu/add_sessionmigration.patch:
      + launch session-migration if present at the start of the session.
        This sync tool runns different session migration scripts that can be
        provided in various desktop packages.
    - debian/patches/ubuntu/dbus_request_shutdown.patch:
      + Add "RequestShutdown" and "RequestReboot" DBus methods to allow
        other applications to shutdown or reboot the machine via the session
        manager.
    - debian/patches/ubuntu/ignore_gsettings_region.patch:
      + Ignore the "region" gsettings value - users' setting of LC_*
        variables saved in ~/.pam_environment.
    - debian/patches/debian/Revert-main-Remove-GNOME_DESKTOP_SESSION_ID-envvar.patch:
      + revert removal of GNOME_DESKTOP_SESSION_ID not to break apps using it
    - debian/ubuntu-settings-migrate-to-defaults.18.10.1.py:
      + Migrate users using old default ubuntu-settings to current ones
    - debian/xdg_dirs_desktop_session.sh: Install a new script into
      /etc/profile.d to prepend a $DESKTOP_SESSION related directory to
      $XDG_{CONFIG,DATA}_DIRS.
    - debian/install: Add ubuntu-mimeapps.list overrides for the Ubuntu session
      + Keep using debian/mimeapps/debian.conf to generate gnome-mimeapps.list

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 24 Dec 2025 09:00:56 -0500

gnome-session (49.2-3) unstable; urgency=medium

  * Demote fonts-cantarell to Suggests. It can be uninstalled but keeping
    it in Suggests will have apt keep it installed until after the
    gsettings schema update is installed that changes the default font from
    Cantarell to Adwaita.
  * gnome-mimeapps.list: Remove goobox since it's being removed from Debian

 -- Jeremy Bícha <jbicha@debian.org>  Wed, 17 Dec 2025 17:30:53 -0500

gnome-session (49.2-2) unstable; urgency=medium

  * gnome-session: Add Depends: fonts-adwaita

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 15 Dec 2025 23:52:28 -0500

gnome-session (49.2-1) unstable; urgency=medium

  * New upstream release
  * Remove direct Depends: upower (Closes: #1081577)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 24 Nov 2025 19:28:57 -0500

=== debian/control ===
--- 
+++ 
@@ -29,17 +29,17 @@
 Package: gnome-session
 Architecture: all
 Depends: adwaita-icon-theme,
-         fonts-cantarell,
+         fonts-adwaita,
          gnome-session-bin (<< ${gnome:NextVersion}),
          gnome-session-bin (>= ${binary:Version}),
          gnome-session-common (= ${binary:Version}),
          gnome-settings-daemon,
          gnome-shell,
-         libjxl-gdk-pixbuf,
          xdg-desktop-portal-gnome,
          xwayland,
          ${misc:Depends}
 Suggests: desktop-base,
+          fonts-cantarell,
           gnome-keyring
 Breaks: ubuntu-session-xsession (<< 49~)
 Replaces: ubuntu-session-xsession (<< 49~)
@@ -76,7 +76,6 @@
 Architecture: linux-any
 Depends: default-dbus-session-bus | dbus-session-bus,
          gsettings-desktop-schemas,
-         upower,
          ${misc:Depends},
          ${shlibs:Depends}
 Recommends: default-logind | logind

## gnome-session 50~alpha

=== debian/changelog ===
gnome-session (50~alpha-0ubuntu2) resolute; urgency=medium

  * d/control: Actually bump minimum gnome-shell version

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 08 Jan 2026 17:09:42 +0100

gnome-session (50~alpha-0ubuntu1) resolute; urgency=medium

  * New upstream release
  * d/p: Drop gettext patch applied upstream
  * d/p, d/control: Drop session-migration in favour of user-session-migration
  * d/p/u/ubuntu-sessions.patch: Rework for new mesonfile
  * d/p: Refresh all other patches
  * d/control: Drop (incorrect) breaks/replaces for the xsession
  * d/control: Drop unused Build-Depends dh-sequence-migrations
  * d/control: Bump minimum gnome-shell version
  * d/install: Drop secondary wayland sessions

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 08 Jan 2026 14:13:28 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: debhelper-compat (= 13),
-               dh-sequence-migrations,
                dh-sequence-gnome,
                libdbus-1-dev,
                libgl-dev,
@@ -34,15 +33,13 @@
          gnome-session-bin (>= ${binary:Version}),
          gnome-session-common (= ${binary:Version}),
          gnome-settings-daemon,
-         gnome-shell,
+         gnome-shell (>= 50~),
          xdg-desktop-portal-gnome,
          xwayland,
          ${misc:Depends}
 Suggests: desktop-base,
           fonts-cantarell,
           gnome-keyring
-Breaks: ubuntu-session-xsession (<< 49~)
-Replaces: ubuntu-session-xsession (<< 49~)
 Description: GNOME Session Manager - default GNOME session
  The GNOME Session Manager is in charge of starting the core components
  of the GNOME desktop, and applications that should be launched at
@@ -59,15 +56,12 @@
          gnome-session-bin (>= ${binary:Version}),
          gnome-session-common (= ${binary:Version}),
          gnome-settings-daemon (>= 3.37.0),
-         gnome-shell (>= 3.37.91),
+         gnome-shell (>= 50~),
          xdg-desktop-portal-gnome,
          xwayland,
          yaru-theme-gnome-shell (>= 20.04.3~),
          ${misc:Depends}
 Recommends: python3,
-            session-migration,
-Breaks: ubuntu-session-xsession (<< 49~)
-Replaces: ubuntu-session-xsession (<< 49~)
 Description: Ubuntu session with GNOME Shell
  This package contains the required components for a GNOME session
  with default Ubuntu configuration, based on the GNOME Shell.

## gnome-session 50~beta

=== meson_options.txt ===
option('deprecation_flags', type: 'boolean', value: false, description: 'use *_DISABLE_DEPRECATED flags')
option('systemduserunitdir', type: 'string', description: 'Directory for systemd user service files')
option('docbook', type: 'boolean', value: true, description: 'build documentation')
option('man', type: 'boolean', value: true, description: 'build documentation (requires xmlto)')
option('mimeapps', type: 'boolean', value: true, description: 'install default gnome-mimeapps.list')

=== debian/changelog ===
gnome-session (50~beta-0ubuntu1) resolute; urgency=medium

  * New upstream release

 -- Alessandro Astone <alessandro.astone@canonical.com>  Thu, 19 Feb 2026 11:52:13 +0100

gnome-session (50~alpha-0ubuntu3) resolute; urgency=medium

  * d/control: Breaks older gdm

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 11 Feb 2026 23:56:47 +0100

=== debian/control ===
--- 
+++ 
@@ -74,7 +74,7 @@
          ${shlibs:Depends}
 Recommends: default-logind | logind
 Breaks: budgie-desktop (<< 10.8.2-3~),
-        gdm3 (<< 49),
+        gdm3 (<< 50~),
         gnome-initial-setup (<< 49),
         gnome-startup-applications (<< 49),
         phosh (<< 0.50~rc),
